export declare type BehaveJson = readonly BehaveFeature[];
export declare type BehaveFeature = Readonly<{
    status: BehaveStatus;
    location: string;
    keyword: string;
    name: string;
    description?: readonly string[];
    elements: readonly BehaveElement[];
    tags: readonly string[];
}>;
export declare type BehaveElement = Readonly<{
    steps: readonly BehaveStep[];
    type: 'background' | 'scenario';
    name: string;
    description?: readonly string[];
    keyword: string;
    location: string;
    tags?: readonly string[];
    status?: BehaveStatus;
}>;
export declare type BehaveStep = Readonly<{
    step_type: string;
    name: string;
    keyword: string;
    location: string;
    result?: BehaveResult;
    match?: BehaveMatch;
    table?: BehaveTable;
    text?: string;
}>;
export declare type BehaveResult = Readonly<{
    status: BehaveStatus;
    duration: number;
    error_message?: readonly string[];
}>;
export declare type BehaveMatch = Readonly<{
    location: string;
    arguments: readonly BehaveArgument[];
}>;
export declare type BehaveArgument = Readonly<{
    name: string;
    value: unknown;
    original: string;
}>;
export declare type BehaveTable = Readonly<{
    rows: readonly BehaveRow[];
}>;
export declare type BehaveRow = readonly string[];
export declare type BehaveStatus = 'passed' | 'failed' | 'skipped' | 'undefined';
//# sourceMappingURL=BehaveJson.d.ts.map