"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cucumberJvmConverter = void 0;
var cucumberJvmConverter = function (json) {
    return {
        implementation: 'cucumber-jvm',
        features: json.map(jvmFeatureToFeature),
    };
};
exports.cucumberJvmConverter = cucumberJvmConverter;
function jvmFeatureToFeature(feature) {
    var tags = (feature.tags || []).map(locationTagToTag);
    var elements = feature.elements.map(jvmElementToElement);
    return {
        description: feature.description,
        elements: elements,
        id: feature.id,
        keyword: feature.keyword,
        line: feature.line,
        name: feature.name,
        tags: tags,
        uri: feature.uri,
    };
}
function locationTagToTag(locationTag) {
    return {
        name: locationTag.name,
        line: locationTag.location.line,
    };
}
function jvmElementToElement(jvmElement) {
    var before = (jvmElement.before || []).map(jvmHookToHook);
    var steps = jvmElement.steps.map(jvmStepToStep);
    var after = (jvmElement.after || []).map(jvmHookToHook);
    return __assign(__assign({}, jvmElement), {
        before: before,
        steps: steps,
        after: after,
    });
}
function jvmHookToHook(jvmHook) {
    return {
        result: jvmHook.result,
        match: jvmMatchToMatch(jvmHook.match),
    };
}
function jvmMatchToMatch(jvmMatch) {
    return {
        location: jvmMatch.location,
    };
    // return {
    //   ...jvmMatch,
    //   ...{
    //     arguments: (jvmMatch.arguments || []).map((arg) => ({
    //       value: arg.val,
    //       offset: arg.offset,
    //     })),
    //   },
    // }
}
function jvmStepToStep(jvmStep) {
    return __assign(__assign({}, jvmStep), {
        match: jvmStep.match ? jvmMatchToMatch(jvmStep.match) : undefined,
    });
}
//# sourceMappingURL=cucumberJvmConverter.js.map