"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __values = (this && this.__values) || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
var __read = (this && this.__read) || function (o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeConverter = void 0;
var ajv_1 = __importDefault(require("ajv"));
var behaveConverter_js_1 = require("./behave/behaveConverter.js");
var BehaveSchema_js_1 = __importDefault(require("./behave/BehaveSchema.js"));
var cucumberJsConverter_js_1 = require("./cucumber-js/cucumberJsConverter.js");
var CucumberJsSchema_js_1 = __importDefault(require("./cucumber-js/CucumberJsSchema.js"));
var cucumberJvmConverter_js_1 = require("./cucumber-jvm/cucumberJvmConverter.js");
var CucumberJvmSchema_js_1 = __importDefault(require("./cucumber-jvm/CucumberJvmSchema.js"));
var cucumberRubyConverter_js_1 = require("./cucumber-ruby/cucumberRubyConverter.js");
var CucumberRubySchema_js_1 = __importDefault(require("./cucumber-ruby/CucumberRubySchema.js"));
var CucumberSchema_js_1 = __importDefault(require("./CucumberSchema.js"));
var implementationConverterBySchema = new Map();
implementationConverterBySchema.set(BehaveSchema_js_1.default, behaveConverter_js_1.behaveConverter);
implementationConverterBySchema.set(CucumberJsSchema_js_1.default, cucumberJsConverter_js_1.cucumberJsConverter);
implementationConverterBySchema.set(CucumberJvmSchema_js_1.default, cucumberJvmConverter_js_1.cucumberJvmConverter);
implementationConverterBySchema.set(CucumberRubySchema_js_1.default, cucumberRubyConverter_js_1.cucumberRubyConverter);
function makeConverter() {
    return __awaiter(this, void 0, void 0, function () {
        var resultValidator, convalidators, _loop_1, _a, _b, _c, implementationSchema, converter;
        var e_1, _d;
        return __generator(this, function (_e) {
            resultValidator = new ajv_1.default().compile(CucumberSchema_js_1.default);
            convalidators = [];
            _loop_1 = function (implementationSchema, converter) {
                var implementationValidator = new ajv_1.default().compile(implementationSchema);
                var resultValidatingConverter = function (obj) {
                    var converted = converter(obj);
                    if (resultValidator(converted)) {
                        return converted;
                    }
                    else {
                        var error = "Error from ".concat(implementationSchema.$ref, " validation: ").concat(JSON.stringify(resultValidator.errors, null, 2));
                        var convertedJson = JSON.stringify(converted, null, 2);
                        throw new Error("Could not validate converted Cucumber JSON.\n".concat(error, "\nConverted JSON:").concat(convertedJson));
                    }
                };
                convalidators.push({
                    implementationValidator: implementationValidator,
                    converter: resultValidatingConverter,
                    schema: implementationSchema,
                });
            };
            try {
                for (_a = __values(implementationConverterBySchema.entries()), _b = _a.next(); !_b.done; _b = _a.next()) {
                    _c = __read(_b.value, 2), implementationSchema = _c[0], converter = _c[1];
                    _loop_1(implementationSchema, converter);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_b && !_b.done && (_d = _a.return)) _d.call(_a);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return [2 /*return*/, function (data) {
                    var errors = [];
                    var candidateConvalidators = convalidators.filter(function (convalidator) {
                        var validator = convalidator.implementationValidator;
                        var schema = convalidator.schema;
                        if (validator(data)) {
                            return true;
                        }
                        else {
                            var error = "Errors from ".concat(schema.$ref, " validation: ").concat(JSON.stringify(validator.errors, null, 2));
                            // console.log(error)
                            errors.push(error);
                        }
                    });
                    if (candidateConvalidators.length === 0) {
                        throw new Error("Could not validate Cucumber JSON.\n".concat(errors.join('\n')));
                    }
                    return candidateConvalidators.map(function (convalidator) { return convalidator.converter(data); });
                }];
        });
    });
}
exports.makeConverter = makeConverter;
//# sourceMappingURL=makeConverter.js.map