"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __values = (this && this.__values) || function(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var assert_1 = __importDefault(require("assert"));
var fs_1 = __importDefault(require("fs"));
var glob_1 = __importDefault(require("glob"));
var util_1 = require("util");
var index_js_1 = require("../src/index.js");
var path_1 = __importDefault(require("path"));
var readFile = (0, util_1.promisify)(fs_1.default.readFile);
describe('converter', function () {
    var e_1, _a;
    var jsonFiles = glob_1.default.sync('testdata/*/*/json/*.json');
    var _loop_1 = function (jsonFile) {
        it("converts ".concat(jsonFile), function () { return __awaiter(void 0, void 0, void 0, function () {
            var json, ob, cucumberJsons, implementation, dirname;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, readFile(jsonFile, 'utf-8')];
                    case 1:
                        json = _a.sent();
                        ob = JSON.parse(json);
                        cucumberJsons = (0, index_js_1.convertMulti)(ob);
                        if (cucumberJsons.length === 1) {
                            implementation = cucumberJsons[0].implementation;
                            dirname = path_1.default.basename(path_1.default.join(jsonFile, '../../..'));
                            assert_1.default.strictEqual(implementation, dirname);
                        }
                        else {
                            // This will check that the converted objects are the same (ignoring differences in the implementation)
                            (0, index_js_1.convert)(ob);
                        }
                        return [2 /*return*/];
                }
            });
        }); });
    };
    try {
        // const jsonFiles = glob.sync('testdata/cucumber-ruby/2.0.0/json/step-with-arguments.json')
        // const jsonFiles = glob.sync('testdata/cucumber-jvm/7.2.3/json/failing-passing-pending-scenarios.json')
        for (var jsonFiles_1 = __values(jsonFiles), jsonFiles_1_1 = jsonFiles_1.next(); !jsonFiles_1_1.done; jsonFiles_1_1 = jsonFiles_1.next()) {
            var jsonFile = jsonFiles_1_1.value;
            _loop_1(jsonFile);
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (jsonFiles_1_1 && !jsonFiles_1_1.done && (_a = jsonFiles_1.return)) _a.call(jsonFiles_1);
        }
        finally { if (e_1) throw e_1.error; }
    }
});
//# sourceMappingURL=converter.test.js.map