export declare type CucumberJson = {
    implementation: string;
    features: readonly Feature[];
};
export declare type Feature = Readonly<{
    uri: string;
    id?: string;
    line?: number;
    keyword: string;
    name: string;
    description?: string;
    elements: readonly Element[];
    tags?: readonly Tag[];
}>;
export declare type Element = Readonly<{
    start_timestamp?: string;
    line: number;
    id?: string;
    type: ElementType;
    keyword: string;
    name: string;
    description: string;
    before?: readonly Hook[];
    steps: readonly Step[];
    after?: readonly Hook[];
    tags?: readonly Tag[];
}>;
export declare type ElementType = 'background' | 'scenario';
export declare type Hook = Readonly<{
    match?: Match;
    result: Result;
}>;
export declare type Step = Readonly<{
    keyword: string;
    line: number;
    match?: Match;
    name: string;
    result: Result;
    doc_string?: DocString;
    rows?: readonly DataTableRow[];
}>;
export declare type DataTableRow = Readonly<{
    cells: readonly string[];
}>;
export declare type DocString = Readonly<{
    line: number;
    value: string;
    content_type?: string;
}>;
export declare type Match = Readonly<{
    location?: string;
    arguments?: readonly Argument[];
}>;
export declare type Argument = Readonly<{
    value: string;
    offset: number;
}>;
export declare type Result = Readonly<{
    duration?: number;
    status: Status;
    error_message?: string;
}>;
export declare type Status = 'passed' | 'failed' | 'skipped' | 'undefined' | 'pending' | 'unknown';
export declare type Tag = Readonly<{
    name: string;
    line?: number;
}>;
//# sourceMappingURL=CucumberJson.d.ts.map