export declare type BehaveJson = readonly Feature[];
export declare type Feature = Readonly<{
    status: Status;
    location: string;
    keyword: string;
    name: string;
    description?: readonly string[];
    elements: readonly Element[];
    tags: readonly string[];
}>;
export declare type Element = Readonly<{
    steps: readonly Step[];
    type: 'background' | 'scenario';
    name: string;
    description?: readonly string[];
    keyword: string;
    location: string;
    tags?: readonly string[];
    status?: Status;
}>;
export declare type Step = Readonly<{
    step_type: string;
    name: string;
    keyword: string;
    location: string;
    result?: Result;
    match?: Match;
    table?: Table;
    text?: string;
}>;
export declare type Result = Readonly<{
    status: Status;
    duration: number;
    error_message?: readonly string[];
}>;
export declare type Match = Readonly<{
    location: string;
    arguments: readonly Argument[];
}>;
export declare type Argument = Readonly<{
    name: string;
    value: unknown;
    original: string;
}>;
export declare type Table = Readonly<{
    rows: readonly Row[];
}>;
export declare type Row = readonly string[];
export declare type Status = 'passed' | 'failed' | 'skipped' | 'undefined';
//# sourceMappingURL=BehaveJson.d.ts.map