declare const _default: {
    $schema: string;
    $ref: string;
    definitions: {
        CucumberJsJson: {
            type: string;
            items: {
                $ref: string;
            };
        };
        JsFeature: {
            type: string;
            properties: {
                uri: {
                    type: string;
                };
                id: {
                    type: string;
                };
                line: {
                    type: string;
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                elements: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsElement: {
            type: string;
            properties: {
                id: {
                    type: string;
                };
                line: {
                    type: string;
                };
                type: {
                    type: string;
                    const: string;
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                steps: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsStepOrHook: {
            anyOf: {
                $ref: string;
            }[];
        };
        JsStep: {
            type: string;
            properties: {
                arguments: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                keyword: {
                    type: string;
                };
                line: {
                    type: string;
                };
                match: {
                    $ref: string;
                };
                name: {
                    type: string;
                };
                isBackground: {
                    type: string;
                };
                result: {
                    $ref: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsArgument: {
            anyOf: {
                $ref: string;
            }[];
        };
        JsDocString: {
            type: string;
            properties: {
                content: {
                    type: string;
                };
                line: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsDataTable: {
            type: string;
            properties: {
                rows: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsRow: {
            type: string;
            properties: {
                cells: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsMatch: {
            type: string;
            properties: {
                location: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsResult: {
            type: string;
            properties: {
                duration: {
                    type: string;
                };
                status: {
                    $ref: string;
                };
                error_message: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsStatus: {
            type: string;
            enum: string[];
        };
        JsHookStep: {
            type: string;
            properties: {
                arguments: {
                    type: string;
                    minItems: number;
                    maxItems: number;
                };
                hidden: {
                    type: string;
                    const: boolean;
                };
                keyword: {
                    type: string;
                };
                match: {
                    $ref: string;
                };
                result: {
                    $ref: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JsTag: {
            type: string;
            properties: {
                line: {
                    type: string;
                };
                name: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
    };
};
export default _default;
//# sourceMappingURL=CucumberJsSchema.d.ts.map