export declare type CucumberJsJson = readonly JsFeature[];
export declare type JsFeature = Readonly<{
    uri: string;
    id: string;
    line: number;
    keyword: string;
    name: string;
    description?: string;
    elements: readonly JsElement[];
    tags: readonly JsTag[];
}>;
export declare type JsElement = Readonly<{
    id: string;
    line: number;
    type?: 'scenario';
    keyword: string;
    name: string;
    description?: string;
    steps: readonly JsStepOrHook[];
    tags: readonly JsTag[];
}>;
export declare type JsStepOrHook = JsStep | JsHookStep;
export declare type JsStep = Readonly<{
    arguments: readonly JsArgument[];
    keyword: string;
    line: number;
    match?: JsMatch;
    name: string;
    isBackground?: boolean;
    result: JsResult;
}>;
export declare type JsHookStep = Readonly<{
    arguments?: [];
    hidden: true;
    keyword: string;
    match?: JsMatch;
    result: JsResult;
}>;
export declare type JsArgument = JsDocString | JsDataTable;
export declare type JsDocString = Readonly<{
    content: string;
    line: number;
}>;
export declare type JsDataTable = Readonly<{
    rows: readonly JsRow[];
}>;
export declare type JsRow = Readonly<{
    cells: readonly string[];
}>;
export declare type JsMatch = Readonly<{
    location: string;
}>;
export declare type JsResult = Readonly<{
    duration?: number;
    status: JsStatus;
    error_message?: string;
}>;
export declare type JsStatus = 'passed' | 'failed' | 'skipped' | 'undefined' | 'pending';
export declare type JsTag = Readonly<{
    line: number;
    name: string;
}>;
//# sourceMappingURL=CucumberJsJson.d.ts.map