declare const _default: {
    $schema: string;
    $ref: string;
    definitions: {
        CucumberRubyJson: {
            type: string;
            items: {
                $ref: string;
            };
        };
        RubyFeature: {
            type: string;
            properties: {
                uri: {
                    type: string;
                };
                id: {
                    type: string;
                };
                line: {
                    type: string;
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                elements: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyElement: {
            type: string;
            properties: {
                start_timestamp: {
                    type: string;
                };
                line: {
                    type: string;
                };
                id: {
                    type: string;
                };
                type: {
                    type: string;
                    enum: string[];
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                steps: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                before: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                after: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                examples: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyStep: {
            type: string;
            properties: {
                keyword: {
                    type: string;
                };
                line: {
                    type: string;
                };
                match: {
                    $ref: string;
                };
                name: {
                    type: string;
                };
                result: {
                    $ref: string;
                };
                doc_string: {
                    $ref: string;
                };
                rows: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                after: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyMatch: {
            type: string;
            properties: {
                location: {
                    type: string;
                };
                arguments: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            additionalProperties: boolean;
        };
        RubyArgument: {
            type: string;
            properties: {
                val: {
                    type: string;
                };
                offset: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyResult: {
            type: string;
            properties: {
                duration: {
                    type: string;
                };
                status: {
                    $ref: string;
                };
                error_message: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyStatus: {
            type: string;
            enum: string[];
        };
        RubyDocString: {
            type: string;
            properties: {
                value: {
                    type: string;
                };
                line: {
                    type: string;
                };
                content_type: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyDataTableRow: {
            type: string;
            properties: {
                cells: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyHook: {
            type: string;
            properties: {
                match: {
                    $ref: string;
                };
                result: {
                    $ref: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyTag: {
            type: string;
            properties: {
                line: {
                    type: string;
                };
                name: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyExamples: {
            type: string;
            properties: {
                id: {
                    type: string;
                };
                line: {
                    type: string;
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                rows: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        RubyExamplesTableRow: {
            type: string;
            properties: {
                cells: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
                id: {
                    type: string;
                };
                line: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
    };
};
export default _default;
//# sourceMappingURL=CucumberRubySchema.d.ts.map