var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import assert from 'assert';
import fs from 'fs';
import glob from 'glob';
import { promisify } from 'util';
import { convert, convertMulti } from '../src';
import path from 'path';
const readFile = promisify(fs.readFile);
describe('converter', () => {
    const jsonFiles = glob.sync('testdata/*/*/json/*.json');
    // const jsonFiles = glob.sync('testdata/cucumber-ruby/2.0.0/json/step-with-arguments.json')
    // const jsonFiles = glob.sync('testdata/cucumber-jvm/7.2.3/json/failing-passing-pending-scenarios.json')
    for (const jsonFile of jsonFiles) {
        it(`converts ${jsonFile}`, () => __awaiter(void 0, void 0, void 0, function* () {
            const json = yield readFile(jsonFile, 'utf-8');
            const ob = JSON.parse(json);
            const cucumberJsons = convertMulti(ob);
            if (cucumberJsons.length === 1) {
                const implementation = cucumberJsons[0].implementation;
                const dirname = path.basename(path.join(jsonFile, '../../..'));
                assert.strictEqual(implementation, dirname);
            }
            else {
                // This will check that the converted objects are the same (ignoring differences in the implementation)
                convert(ob);
            }
        }));
    }
});
//# sourceMappingURL=converter.test.js.map